Skip to main content
`Ctrl`+`K`

# DMInterpolationGetDim

Gets the spatial dimension for the interpolation context

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationGetDim(DMInterpolationInfo ctx, PetscInt *dim)

Not Collective

## Input Parameter

- ctx - the context

## Output Parameter

- dim - the spatial dimension

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationSetDim()`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`

## Level

intermediate

## Location

src/snes/utils/dm/dminterpolatesnes.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages